#!/bin/sh

echo "Where is your CGI program directory? Specify the full path"
echo "to the directory, eg /var/www/cgi-bin."
read cgi_dir
if [ ! -d "$cgi_dir" ]; then
   echo "Sorry, $cgi_dir does not exist."
   exit
fi
chmod +x web_ui.cgi 
cp web_ui.cgi web_ui_define.pl $cgi_dir

if [ ! -f "$cgi_dir/web_ui.cgi" ]; then
   echo "Sorry, could not copy web_ui.cgi to $cgi_dir/"
   exit
fi

echo "Copied web_ui.cgi to $cgi_dir/"

echo "Where is your HTML document directory? Specify the full path"
echo "to the directory, eg /var/www/html."
read html_dir
if [ ! -d "$html_dir" ]; then
   echo "Sorry, $html_dir does not exist."
fi
cp -r web_ui $html_dir

if [ ! -d "$html_dir/web_ui" ]; then
   echo "Sorry, could not copy web_ui directory to $html_dir/web_ui"
fi

echo "Test the installation with this URL: http://localhost/cgi-bin/web_ui.cgi"
echo "The appearance can be customised by editing $cgi_dir/web_ui_define.pl"
echo "Custom default user photos may be put in $html_dir/web_ui/."
